kind: Service
apiVersion: v1
metadata:
  name: jaeger-all-in-one-inmemory-collector
  namespace: jaeger-stuff
  uid: d86e068c-e4ce-429f-b55f-0a1d04a401dc
  resourceVersion: '195503308'
  creationTimestamp: '2022-10-11T08:56:54Z'
  labels:
    app: jaeger
    app.kubernetes.io/component: service-collector
    app.kubernetes.io/instance: jaeger-all-in-one-inmemory
    app.kubernetes.io/managed-by: jaeger-operator
    app.kubernetes.io/name: jaeger-all-in-one-inmemory-collector
    app.kubernetes.io/part-of: jaeger
  ownerReferences:
    - apiVersion: jaegertracing.io/v1
      kind: Jaeger
      name: jaeger-all-in-one-inmemory
      uid: de9b34c3-23b9-4936-978a-bcd317bf6a73
      controller: true
  managedFields:
    - manager: jaeger-operator
      operation: Update
      apiVersion: v1
      time: '2022-10-11T08:56:54Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:app': {}
            'f:app.kubernetes.io/component': {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
            'f:app.kubernetes.io/part-of': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"de9b34c3-23b9-4936-978a-bcd317bf6a73"}': {}
        'f:spec':
          'f:internalTrafficPolicy': {}
          'f:ports':
            .: {}
            'k:{"port":4317,"protocol":"TCP"}':
              .: {}
              'f:name': {}
              'f:port': {}
              'f:protocol': {}
              'f:targetPort': {}
            'k:{"port":4318,"protocol":"TCP"}':
              .: {}
              'f:name': {}
              'f:port': {}
              'f:protocol': {}
              'f:targetPort': {}
            'k:{"port":9411,"protocol":"TCP"}':
              .: {}
              'f:name': {}
              'f:port': {}
              'f:protocol': {}
              'f:targetPort': {}
            'k:{"port":14250,"protocol":"TCP"}':
              .: {}
              'f:name': {}
              'f:port': {}
              'f:protocol': {}
              'f:targetPort': {}
            'k:{"port":14267,"protocol":"TCP"}':
              .: {}
              'f:name': {}
              'f:port': {}
              'f:protocol': {}
              'f:targetPort': {}
            'k:{"port":14268,"protocol":"TCP"}':
              .: {}
              'f:name': {}
              'f:port': {}
              'f:protocol': {}
              'f:targetPort': {}
          'f:selector': {}
          'f:sessionAffinity': {}
          'f:type': {}
spec:
  clusterIP: 172.30.255.91
  ipFamilies:
    - IPv4
  ports:
    - name: http-zipkin
      protocol: TCP
      port: 9411
      targetPort: 9411
    - name: grpc-https
      protocol: TCP
      port: 14250
      targetPort: 14250
    - name: http-c-tchan-trft
      protocol: TCP
      port: 14267
      targetPort: 14267
    - name: http-c-binary-trft
      protocol: TCP
      port: 14268
      targetPort: 14268
    - name: otlp-grpc
      protocol: TCP
      port: 4317
      targetPort: 4317
    - name: otlp-http
      protocol: TCP
      port: 4318
      targetPort: 4318
  internalTrafficPolicy: Cluster
  clusterIPs:
    - 172.30.255.91
  type: ClusterIP
  ipFamilyPolicy: SingleStack
  sessionAffinity: None
  selector:
    app: jaeger
    app.kubernetes.io/component: all-in-one
    app.kubernetes.io/instance: jaeger-all-in-one-inmemory
    app.kubernetes.io/managed-by: jaeger-operator
    app.kubernetes.io/name: jaeger-all-in-one-inmemory
    app.kubernetes.io/part-of: jaeger
status:
  loadBalancer: {}
